Subject: Re: bug#50951: 28.0.50; Urdu text is not displayed correctly

From: Rah Guzar <[email-masked]>
Date: Fri, 09 Sep 2022 17:00:37 +0200

Unfortunately I have very limited experience with building software and
none at all with applying patches so testing this will be a non-trivial
undertaking. I will try to do this next weekend.

But what Visuwesh describes seem exactly the symptoms I was experiencing
so I am pretty positive that it will work for me too. So thank you very
much indeed!

Rah Guzar

Visuwesh <[email-masked]> writes:

> [புதன் செப்டம்பர் 07, 2022] Eli Zaretskii wrote:
>
>>> Date: Wed, 07 Sep 2022 15:18:21 +0900
>>> From: YAMAMOTO Mitsuharu <[email-masked]>
>>> Cc: Eli Zaretskii <[email-masked]>,
>>> 	[email-masked],
>>> 	[email-masked]
>>>
>>> Probably the following change will fix the problem:
>>
>> Thanks.  Rah Guzar, can you try one of these changes and see if they
>> fix the problem?
>
> Not sure about Rah Guzar, but it squashes bug#54646 for me.  Thank you
> so very much, Yamamoto Mitsuharu!
>
> With regards to the performance, my eyes say that patch no. 1 (i.e., the
> one that patches src/hbfont.c) is slightly faster than patch no. 2 when
> I continually zoomed to reproduce bug#54646.  The test material was this
> random webpage https://www.dinamalar.com/news_detail.asp?id=3117719,
> and M-x report-emacs-bug report on the Emacs with the patch is at the
> end.
> The test that I used is the same as I outlined in bug#54646, namely,
> visit that webpage in eww, zoom in and out with C-scroll-wheel.  The
> glyphs _do not_ bump into each other or get weirdly placed whereas
> without the patch, glyphs can be oddly spaced.
>
> In GNU Emacs 29.0.50 (build 6, x86_64-pc-linux-gnu, X toolkit, cairo
>  version 1.16.0, Xaw scroll bars) of 2022-09-08 built on astatine
> Repository revision: 9219e83b3c0ef53df02caf4c8ba38f482937ab50
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
> System Description: Debian GNU/Linux bookworm/sid
>
> Configured using:
>  'configure --with-sound=alsa --with-x-toolkit=lucid --with-json
>  --without-xaw3d --without-gconf --without-libsystemd'
>
> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
> JSON LIBOTF LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
> SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM
> XINPUT2 XPM LUCID ZLIB
>
> Important settings:
>   value of $LC_MONETARY: ta_IN.UTF-8
>   value of $LC_NUMERIC: ta_IN.UTF-8
>   value of $LANG: en_GB.UTF-8
>   locale-coding-system: utf-8-unix